Bug 548203 - Review Request: mediawiki-LdapAccount - Use LDAP as an account source for medaiwiki
Review Request: mediawiki-LdapAccount - Use LDAP as an account source for med...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-16 16:38 EST by Michael Stahnke
Modified: 2010-01-18 18:23 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 16:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2009-12-16 16:38:15 EST
Spec URL: http://stahnma.fedorapeople.org/reviews/mediawiki-LdapAccount.spec
SRPM URL: http://stahnma.fedorapeople.org/reviews/mediawiki-LdapAccount-0.1-1.fc11.src.rpm
Description: 
Restrict mediawiki to using LDAP accounts only, creates account based on 
LDAP information and authenticates using LDAP.
Comment 1 Peter Lemenkov 2009-12-18 04:19:13 EST
I'll review it.
Comment 2 Peter Lemenkov 2009-12-18 04:28:03 EST
REVIEW:

+ rpmlint is silent

[petro@Sulaco SPECS]$ rpmlint ../RPMS/noarch/mediawiki-LdapAccount-0.1-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Sulaco SPECS]$ 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines (WTFPL).
+ The License field in the package spec file matches the actual license (WTFPL)
+ The file, containing the text of the license(s) for the package, (README) is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum mediawiki-LdapAccount-0.1.tar.gz*
2e1f690417ef79187b1c0e3a84b2cefd90a67138ffa8ba5985c7f653c7b69e55  mediawiki-LdapAccount-0.1.tar.gz
2e1f690417ef79187b1c0e3a84b2cefd90a67138ffa8ba5985c7f653c7b69e55  mediawiki-LdapAccount-0.1.tar.gz.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture (ppc).
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

APPROVED.
Comment 3 Michael Stahnke 2009-12-21 00:55:12 EST
New Package CVS Request
=======================
Package Name: mediawiki-LdapAccount
Short Description: estrict mediawiki to using LDAP accounts only
Owners: stahnma
Branches: F11 F12 EL5
InitialCC:
Comment 4 Kevin Fenzi 2009-12-21 14:44:07 EST
cvs done.
Comment 5 Fedora Update System 2009-12-29 22:59:11 EST
mediawiki-LdapAccount-0.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mediawiki-LdapAccount-0.1-1.fc12
Comment 6 Fedora Update System 2009-12-29 22:59:16 EST
mediawiki-LdapAccount-0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mediawiki-LdapAccount-0.1-1.el5
Comment 7 Fedora Update System 2009-12-31 01:55:36 EST
mediawiki-LdapAccount-0.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mediawiki-LdapAccount'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-1073
Comment 8 Fedora Update System 2010-01-01 22:37:05 EST
mediawiki-LdapAccount-0.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mediawiki-LdapAccount'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0055
Comment 9 Fedora Update System 2010-01-07 16:42:19 EST
mediawiki-LdapAccount-0.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mediawiki-LdapAccount'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-1073
Comment 10 Fedora Update System 2010-01-07 16:45:32 EST
mediawiki-LdapAccount-0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-01-18 18:23:21 EST
mediawiki-LdapAccount-0.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.